>From e04f1f985fdc3a06a3b2a6c162718116fbd4a785 Mon Sep 17 00:00:00 2001
From: Ionut Biru <ionut@archlinux.ro>
Date: Fri, 12 Feb 2010 20:42:34 +0200
Subject: [PATCH] fix detection of CONSOLEFONT from rc.conf

Signed-off-by: Ionut Biru <ionut@archlinux.ro>
---
 install/consolefont |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

diff --git a/install/consolefont b/install/consolefont
index 67777b8..789a661 100644
--- a/install/consolefont
+++ b/install/consolefont
@@ -6,6 +6,7 @@ install ()
     BINARIES=""
     FILES=""
     SCRIPT="consolefont"
+    eval "$(grep -e "^CONSOLEFONT=" /etc/rc.conf)"
     if [ -n "$CONSOLEFONT" ]; then
         CONSOLEFONT_FILE_GZ="/usr/share/kbd/consolefonts/$CONSOLEFONT.psfu.gz"
         if [ -e ${CONSOLEFONT_FILE_GZ} ]; then
@@ -22,10 +23,6 @@ install ()
 help ()
 {
 cat<<HELPEOF
-  This hook loads consolefont specified in mkinitcpio.conf
-  during early userspace.
-  You should add CONSOLEFONT="font" (same syntax as in rc.conf) to your
-  mkinitcpio.conf. You may also remove the CONSOLEFONT from rc.conf
-  to prevent the font from being set twice and speed up your boot proccess.
+  This hook loads consolefont specified in rc.conf during early userspace.
 HELPEOF
 }
-- 
1.6.6.1

